/*
 *  newaloc.C from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software, All rights reserved.
 *  Licensed for free use and distribution under version 2 of the Gnu General
 *  Public License. Please see file COPYING for details and restrictions.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */
#include "newaloc.h"

#ifdef PROTOTYPE
char * Malloc(unsigned sz)
#else
char * Malloc(sz)
int sz;
#endif
{
	char * ret ;
	char * pt ;
	char * limit ;
	ret = (char *) malloc(sz);
	limit = ret + sz ;
	for (pt = ret ;pt<limit;pt++) *pt = '\0' ;
	return ret ;
} 

#ifdef PROTOTYPE
char * MoveNBytes(char *Dest,const char* Source,int32 N)
#else
char * MoveNBytes(Dest,Source,N)
char *Dest;
const char* Source;
int32 N;
#endif
{
	int i ;
	char * Ret = Dest ;
	for (i = 0 ; i < N ; i++) *Dest++ = *Source++ ;
	return Ret ;
}

